% 4x4 2-DFT row-column method
x=[1,2,3,1;
 -2,3,1,4;
  1,1,2,2;
  3,1,2,4]; % input
%
[r,c]=size(x);
X=complex(zeros(r,c));
for k=1:c
  X(1:r,k)=fft(x(1:r,k));
end
X
for k=1:r
  X(k,1:c)=fft(X(k,1:c));
end
X % output
Xs=fftshift(abs(X)) % magnitude, center-zero
log10(1+Xs) % log scale   



